

class wordpress::wp {

$install_dir = '/var/www/html'

file { "${install_dir}":
	ensure  => directory,
	recurse => true,
}

package { "wget":
        ensure  => present,
}

file { "${install_dir}/wp-config-sample.php":
	ensure => present,
}
exec { 'Download wordpress':
        command => "wget https://es.wordpress.org/wordpress-4.5.1-es_ES.tar.gz  -O /tmp/wp.tar.gz",
        path => '/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin',
	creates => "/tmp/wp.tar.gz",
        require => [ File["${install_dir}"], Package["wget"] ],

}
exec { 'Extract wordpress':
	command => "tar zxvf /tmp/wp.tar.gz --strip-components=1 -C ${install_dir}",
	path => "/usr/bin/",
	creates => "${install_dir}/index.php",
	require => Exec["Download wordpress"],
}
exec { "copy_def_config":
	command => "/usr/bin/cp ${install_dir}/wp-config-sample.php ${install_dir}/wp-config.php",
	creates => "${install_dir}/wp-config.php",
	require => File["${install_dir}/wp-config-sample.php"],
}
file_line { 'db_name_line':
  path  => "${install_dir}/wp-config.php",
  line  => "define('DB_NAME', '$wordpress::conf::db_name');",
  match => "^define\\('DB_NAME*",
  require => Exec["copy_def_config"],
} 
file_line { 'db_user_line':
  path  => "${install_dir}/wp-config.php",
  line  => "define('DB_USER', '$wordpress::conf::db_user');",
  match => "^define\\('DB_USER*",
  require => Exec["copy_def_config"],
}
file_line { 'db_password_line':
  path  => "${install_dir}/wp-config.php",
  line  => "define('DB_PASSWORD', '$wordpress::conf::db_user_password');",
  match => "^define\\('DB_PASSWORD*",
  require => Exec["copy_def_config"],
}
file_line { 'db_host_line':
  path  => "${install_dir}/wp-config.php",
  line  => "define('DB_HOST', 'localhost');",
  match => "^define\\('DB_HOST*",
  require => Exec["copy_def_config"],
} 
exec { 'Change ownership':
	command => "chown -R apache:apache ${install_dir}",
	path => '/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin',
	require => Exec["Extract wordpress"],
	refreshonly => true,
}
}
